aboutsummaryrefslogtreecommitdiff
path: root/scripts/vim-patch.sh
diff options
context:
space:
mode:
authorJames McCoy <jamessan@jamessan.com>2016-05-17 01:03:18 -0400
committerJames McCoy <jamessan@jamessan.com>2016-05-17 01:03:18 -0400
commitde570a0b840b7ff9155c61fdaa204e5439dae5e9 (patch)
tree7f0e820291a41ebba88648c8d5ab363ea8fa5569 /scripts/vim-patch.sh
parent39af303600fb1ccd32145b5a95f44a9e4cda6ee9 (diff)
downloadrneovim-de570a0b840b7ff9155c61fdaa204e5439dae5e9.tar.gz
rneovim-de570a0b840b7ff9155c61fdaa204e5439dae5e9.tar.bz2
rneovim-de570a0b840b7ff9155c61fdaa204e5439dae5e9.zip
vim-patch.sh: Ignore “git describe” failures in list_vim_patches
It's acceptable for “git describe --tags --exact-match …” to fail, since all runtime updates commits are untagged. All that matters is that we get a tag when one exists. Therefore, ignore the failure status of the git describe call, relying on the captured output instead.
Diffstat (limited to 'scripts/vim-patch.sh')
-rwxr-xr-xscripts/vim-patch.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/scripts/vim-patch.sh b/scripts/vim-patch.sh
index 0ddef0f67a..751f50d290 100755
--- a/scripts/vim-patch.sh
+++ b/scripts/vim-patch.sh
@@ -256,7 +256,8 @@ list_vim_patches() {
for vim_commit in ${vim_commits}; do
local is_missing
local vim_tag
- vim_tag="$(cd "${VIM_SOURCE_DIR}" && git describe --tags --exact-match "${vim_commit}" 2>/dev/null)"
+ # This fails for untagged commits (e.g., runtime file updates) so mask the return status
+ vim_tag="$(cd "${VIM_SOURCE_DIR}" && git describe --tags --exact-match "${vim_commit}" 2>/dev/null)" || true
if [[ -n "${vim_tag}" ]]; then
local patch_number="${vim_tag:5}" # Remove prefix like "v7.4."
# Tagged Vim patch, check version.c: